+ date
Tue Apr 18 11:10:12 UTC 2023
+ apt-get source --only-source golang-github-rogpeppe-go-internal=1.6.2-1
Reading package lists...
NOTICE: 'golang-github-rogpeppe-go-internal' packaging is maintained in the 'Git' version control system at:
https://salsa.debian.org/go-team/packages/golang-github-rogpeppe-go-internal.git
Please use:
git clone https://salsa.debian.org/go-team/packages/golang-github-rogpeppe-go-internal.git
to retrieve the latest (possibly unreleased) updates to the package.
Need to get 129 kB of source archives.
Get:1 http://repo.pureos.net/pureos byzantium/main golang-github-rogpeppe-go-internal 1.6.2-1 (dsc) [2440 B]
Get:2 http://repo.pureos.net/pureos byzantium/main golang-github-rogpeppe-go-internal 1.6.2-1 (tar) [123 kB]
Get:3 http://repo.pureos.net/pureos byzantium/main golang-github-rogpeppe-go-internal 1.6.2-1 (diff) [3316 B]
dpkg-source: info: extracting golang-github-rogpeppe-go-internal in golang-github-rogpeppe-go-internal-1.6.2
dpkg-source: info: unpacking golang-github-rogpeppe-go-internal_1.6.2.orig.tar.gz
dpkg-source: info: unpacking golang-github-rogpeppe-go-internal_1.6.2-1.debian.tar.xz
Fetched 129 kB in 0s (601 kB/s)
W: Download is performed unsandboxed as root as file 'golang-github-rogpeppe-go-internal_1.6.2-1.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source golang-github-rogpeppe-go-internal=1.6.2-1
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  dh-golang golang-1.15-go golang-1.15-src golang-any
  golang-github-creack-pty-dev golang-github-kr-pretty-dev
  golang-github-kr-text-dev golang-go golang-gopkg-check.v1-dev
  golang-gopkg-errgo.v2-dev golang-src
0 upgraded, 11 newly installed, 0 to remove and 0 not upgraded.
Need to get 61.4 MB of archives.
After this operation, 359 MB of additional disk space will be used.
Get:1 http://repo.pureos.net/pureos byzantium/main amd64 dh-golang all 1.51 [24.6 kB]
Get:2 http://repo.pureos.net/pureos byzantium/main amd64 golang-1.15-src amd64 1.15.15-1~deb11u4 [13.9 MB]
Get:3 http://repo.pureos.net/pureos byzantium/main amd64 golang-1.15-go amd64 1.15.15-1~deb11u4 [47.4 MB]
Get:4 http://repo.pureos.net/pureos byzantium/main amd64 golang-src amd64 2:1.15~1 [4856 B]
Get:5 http://repo.pureos.net/pureos byzantium/main amd64 golang-go amd64 2:1.15~1 [23.9 kB]
Get:6 http://repo.pureos.net/pureos byzantium/main amd64 golang-any amd64 2:1.15~1 [4976 B]
Get:7 http://repo.pureos.net/pureos byzantium/main amd64 golang-github-creack-pty-dev all 1.1.11-1 [8380 B]
Get:8 http://repo.pureos.net/pureos byzantium/main amd64 golang-github-kr-text-dev all 0.2.0-1 [11.1 kB]
Get:9 http://repo.pureos.net/pureos byzantium/main amd64 golang-github-kr-pretty-dev all 0.2.1+git20200831.59b4212-1 [14.6 kB]
Get:10 http://repo.pureos.net/pureos byzantium/main amd64 golang-gopkg-check.v1-dev all 0.0+git20200902.038fdea-1 [32.1 kB]
Get:11 http://repo.pureos.net/pureos byzantium/main amd64 golang-gopkg-errgo.v2-dev all 2.1.0-2 [8980 B]
Fetched 61.4 MB in 2s (27.8 MB/s)
Selecting previously unselected package dh-golang.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 102989 files and directories currently installed.)
Preparing to unpack .../00-dh-golang_1.51_all.deb ...
Unpacking dh-golang (1.51) ...
Selecting previously unselected package golang-1.15-src.
Preparing to unpack .../01-golang-1.15-src_1.15.15-1~deb11u4_amd64.deb ...
Unpacking golang-1.15-src (1.15.15-1~deb11u4) ...
Selecting previously unselected package golang-1.15-go.
Preparing to unpack .../02-golang-1.15-go_1.15.15-1~deb11u4_amd64.deb ...
Unpacking golang-1.15-go (1.15.15-1~deb11u4) ...
Selecting previously unselected package golang-src:amd64.
Preparing to unpack .../03-golang-src_2%3a1.15~1_amd64.deb ...
Unpacking golang-src:amd64 (2:1.15~1) ...
Selecting previously unselected package golang-go.
Preparing to unpack .../04-golang-go_2%3a1.15~1_amd64.deb ...
Unpacking golang-go (2:1.15~1) ...
Selecting previously unselected package golang-any:amd64.
Preparing to unpack .../05-golang-any_2%3a1.15~1_amd64.deb ...
Unpacking golang-any:amd64 (2:1.15~1) ...
Selecting previously unselected package golang-github-creack-pty-dev.
Preparing to unpack .../06-golang-github-creack-pty-dev_1.1.11-1_all.deb ...
Unpacking golang-github-creack-pty-dev (1.1.11-1) ...
Selecting previously unselected package golang-github-kr-text-dev.
Preparing to unpack .../07-golang-github-kr-text-dev_0.2.0-1_all.deb ...
Unpacking golang-github-kr-text-dev (0.2.0-1) ...
Selecting previously unselected package golang-github-kr-pretty-dev.
Preparing to unpack .../08-golang-github-kr-pretty-dev_0.2.1+git20200831.59b4212-1_all.deb ...
Unpacking golang-github-kr-pretty-dev (0.2.1+git20200831.59b4212-1) ...
Selecting previously unselected package golang-gopkg-check.v1-dev.
Preparing to unpack .../09-golang-gopkg-check.v1-dev_0.0+git20200902.038fdea-1_all.deb ...
Unpacking golang-gopkg-check.v1-dev (0.0+git20200902.038fdea-1) ...
Selecting previously unselected package golang-gopkg-errgo.v2-dev.
Preparing to unpack .../10-golang-gopkg-errgo.v2-dev_2.1.0-2_all.deb ...
Unpacking golang-gopkg-errgo.v2-dev (2.1.0-2) ...
Setting up dh-golang (1.51) ...
Setting up golang-github-creack-pty-dev (1.1.11-1) ...
Setting up golang-1.15-src (1.15.15-1~deb11u4) ...
Setting up golang-github-kr-text-dev (0.2.0-1) ...
Setting up golang-src:amd64 (2:1.15~1) ...
Setting up golang-1.15-go (1.15.15-1~deb11u4) ...
Setting up golang-github-kr-pretty-dev (0.2.1+git20200831.59b4212-1) ...
Setting up golang-go (2:1.15~1) ...
Setting up golang-gopkg-check.v1-dev (0.0+git20200902.038fdea-1) ...
Setting up golang-any:amd64 (2:1.15~1) ...
Setting up golang-gopkg-errgo.v2-dev (2.1.0-2) ...
Processing triggers for man-db (2.9.4-2) ...
+ find . -maxdepth 1 -name golang-github-rogpeppe-go-internal* -type d
+ cd ./golang-github-rogpeppe-go-internal-1.6.2
+ eatmydata env DEB_BUILD_OPTIONS=noautodbgsym dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package golang-github-rogpeppe-go-internal
dpkg-buildpackage: info: source version 1.6.2-1
dpkg-buildpackage: info: source distribution unstable
dpkg-buildpackage: info: source changed by Anthony Fok <foka@debian.org>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
dh clean --buildsystem=golang --with golang
   dh_auto_clean -O--buildsystem=golang
   dh_autoreconf_clean -O--buildsystem=golang
   dh_clean -O--buildsystem=golang
 dpkg-source -b .
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building golang-github-rogpeppe-go-internal using existing ./golang-github-rogpeppe-go-internal_1.6.2.orig.tar.gz
dpkg-source: info: building golang-github-rogpeppe-go-internal in golang-github-rogpeppe-go-internal_1.6.2-1.debian.tar.xz
dpkg-source: info: building golang-github-rogpeppe-go-internal in golang-github-rogpeppe-go-internal_1.6.2-1.dsc
 debian/rules binary
dh binary --buildsystem=golang --with golang
   dh_update_autotools_config -O--buildsystem=golang
   dh_autoreconf -O--buildsystem=golang
   dh_auto_configure -O--buildsystem=golang
   dh_auto_build -O--buildsystem=golang
	cd obj-x86_64-linux-gnu && go install -trimpath -v -p 50 github.com/rogpeppe/go-internal/cache github.com/rogpeppe/go-internal/cmd/testscript github.com/rogpeppe/go-internal/cmd/txtar-addmod github.com/rogpeppe/go-internal/cmd/txtar-c github.com/rogpeppe/go-internal/cmd/txtar-goproxy github.com/rogpeppe/go-internal/cmd/txtar-x github.com/rogpeppe/go-internal/dirhash github.com/rogpeppe/go-internal/fmtsort github.com/rogpeppe/go-internal/goproxytest github.com/rogpeppe/go-internal/gotooltest github.com/rogpeppe/go-internal/imports github.com/rogpeppe/go-internal/internal/os/execpath github.com/rogpeppe/go-internal/internal/syscall/windows github.com/rogpeppe/go-internal/internal/syscall/windows/registry github.com/rogpeppe/go-internal/internal/syscall/windows/sysdll github.com/rogpeppe/go-internal/internal/textutil github.com/rogpeppe/go-internal/lockedfile github.com/rogpeppe/go-internal/lockedfile/internal/filelock github.com/rogpeppe/go-internal/modfile github.com/rogpeppe/go-internal/module github.com/rogpeppe/go-internal/par github.com/rogpeppe/go-internal/renameio github.com/rogpeppe/go-internal/semver github.com/rogpeppe/go-internal/testenv github.com/rogpeppe/go-internal/testscript github.com/rogpeppe/go-internal/txtar
internal/race
internal/unsafeheader
runtime/internal/sys
math/bits
unicode/utf16
unicode
unicode/utf8
container/list
github.com/rogpeppe/go-internal/internal/syscall/windows/sysdll
vendor/golang.org/x/crypto/cryptobyte/asn1
github.com/rogpeppe/go-internal/internal/syscall/windows/registry
vendor/golang.org/x/crypto/internal/subtle
internal/nettrace
github.com/rogpeppe/go-internal/internal/syscall/windows
encoding
internal/goversion
runtime/internal/atomic
crypto/subtle
internal/cpu
github.com/rogpeppe/go-internal/semver
crypto/internal/subtle
sync/atomic
runtime/cgo
runtime/internal/math
internal/bytealg
math
internal/testlog
runtime
internal/reflectlite
gopkg.in/errgo.v2/errors
sync
internal/singleflight
math/rand
github.com/rogpeppe/go-internal/par
errors
sort
internal/oserror
io
vendor/golang.org/x/net/dns/dnsmessage
strconv
syscall
hash
crypto/internal/randutil
bytes
strings
crypto/hmac
hash/crc32
vendor/golang.org/x/crypto/hkdf
crypto/rc4
crypto
reflect
vendor/golang.org/x/text/transform
bufio
path
regexp/syntax
internal/syscall/unix
internal/syscall/execenv
time
regexp
context
internal/poll
encoding/binary
internal/fmtsort
github.com/rogpeppe/go-internal/fmtsort
os
encoding/base64
crypto/sha256
crypto/sha512
crypto/ed25519/internal/edwards25519
crypto/md5
crypto/cipher
crypto/sha1
vendor/golang.org/x/crypto/poly1305
encoding/pem
vendor/golang.org/x/crypto/chacha20
crypto/des
crypto/aes
github.com/rogpeppe/go-internal/lockedfile/internal/filelock
internal/lazyregexp
runtime/debug
path/filepath
fmt
net
io/ioutil
os/exec
github.com/rogpeppe/go-internal/renameio
vendor/golang.org/x/sys/cpu
vendor/golang.org/x/crypto/chacha20poly1305
github.com/rogpeppe/go-internal/internal/os/execpath
encoding/hex
flag
vendor/golang.org/x/net/http2/hpack
net/url
vendor/golang.org/x/crypto/curve25519
github.com/rogpeppe/go-internal/internal/textutil
compress/flate
net/http/internal
log
github.com/rogpeppe/go-internal/module
mime/quotedprintable
gopkg.in/errgo.v2/fmt/errors
internal/execabs
github.com/rogpeppe/go-internal/imports
runtime/trace
github.com/rogpeppe/go-internal/txtar
text/template/parse
mime
go/token
github.com/rogpeppe/go-internal/lockedfile
encoding/json
vendor/golang.org/x/text/unicode/norm
math/big
github.com/rogpeppe/go-internal/cache
internal/goroot
github.com/rogpeppe/go-internal/modfile
go/scanner
vendor/golang.org/x/text/unicode/bidi
github.com/rogpeppe/go-internal/cmd/txtar-x
github.com/rogpeppe/go-internal/cmd/txtar-c
github.com/rogpeppe/go-internal/cmd/txtar-addmod
testing
go/ast
compress/gzip
archive/zip
vendor/golang.org/x/text/secure/bidirule
text/template
vendor/golang.org/x/net/idna
github.com/rogpeppe/go-internal/testenv
github.com/rogpeppe/go-internal/dirhash
github.com/rogpeppe/go-internal/testscript
crypto/rand
crypto/dsa
encoding/asn1
crypto/elliptic
go/parser
crypto/ed25519
crypto/rsa
go/doc
crypto/x509/pkix
vendor/golang.org/x/crypto/cryptobyte
go/build
crypto/ecdsa
github.com/rogpeppe/go-internal/gotooltest
vendor/golang.org/x/net/http/httpproxy
net/textproto
crypto/x509
vendor/golang.org/x/net/http/httpguts
mime/multipart
crypto/tls
net/http/httptrace
net/http
github.com/rogpeppe/go-internal/goproxytest
github.com/rogpeppe/go-internal/cmd/testscript
github.com/rogpeppe/go-internal/cmd/txtar-goproxy
   debian/rules override_dh_auto_test
make[1]: Entering directory '/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2'
GOPROXY="" dh_auto_test
	cd obj-x86_64-linux-gnu && go test -vet=off -v -p 50 github.com/rogpeppe/go-internal/cache github.com/rogpeppe/go-internal/cmd/testscript github.com/rogpeppe/go-internal/cmd/txtar-addmod github.com/rogpeppe/go-internal/cmd/txtar-c github.com/rogpeppe/go-internal/cmd/txtar-goproxy github.com/rogpeppe/go-internal/cmd/txtar-x github.com/rogpeppe/go-internal/dirhash github.com/rogpeppe/go-internal/fmtsort github.com/rogpeppe/go-internal/goproxytest github.com/rogpeppe/go-internal/gotooltest github.com/rogpeppe/go-internal/imports github.com/rogpeppe/go-internal/internal/os/execpath github.com/rogpeppe/go-internal/internal/syscall/windows github.com/rogpeppe/go-internal/internal/syscall/windows/registry github.com/rogpeppe/go-internal/internal/syscall/windows/sysdll github.com/rogpeppe/go-internal/internal/textutil github.com/rogpeppe/go-internal/lockedfile github.com/rogpeppe/go-internal/lockedfile/internal/filelock github.com/rogpeppe/go-internal/modfile github.com/rogpeppe/go-internal/module github.com/rogpeppe/go-internal/par github.com/rogpeppe/go-internal/renameio github.com/rogpeppe/go-internal/semver github.com/rogpeppe/go-internal/testenv github.com/rogpeppe/go-internal/testscript github.com/rogpeppe/go-internal/txtar
=== RUN   TestBasic
--- PASS: TestBasic (0.05s)
=== RUN   TestGrowth
--- PASS: TestGrowth (2.20s)
=== RUN   TestVerifyPanic
    cache_test.go:139: go: internal cache error: cache verify failed: id=0100000000000000000000000000000000000000000000000000000000000000 changed:<<<
        
        >>>
        old: cb8379ac2098aa165029e3938a51da0bcecfc008fd6795f401178647f96c5b34 3
        new: ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad 3
--- PASS: TestVerifyPanic (0.05s)
=== RUN   TestCacheLog
--- PASS: TestCacheLog (0.06s)
=== RUN   TestCacheTrim
--- PASS: TestCacheTrim (0.11s)
=== RUN   TestDefaultDir
--- PASS: TestDefaultDir (0.00s)
=== RUN   TestHash
--- PASS: TestHash (0.00s)
=== RUN   TestHashFile
--- PASS: TestHashFile (0.00s)
PASS
ok  	github.com/rogpeppe/go-internal/cache	2.475s
=== RUN   TestScripts
=== RUN   TestScripts/env_var_no_go
=== PAUSE TestScripts/env_var_no_go
=== RUN   TestScripts/env_var_with_go
=== PAUSE TestScripts/env_var_with_go
=== RUN   TestScripts/error
=== PAUSE TestScripts/error
=== RUN   TestScripts/help
=== PAUSE TestScripts/help
=== RUN   TestScripts/nogo
=== PAUSE TestScripts/nogo
=== RUN   TestScripts/noproxy
=== PAUSE TestScripts/noproxy
=== RUN   TestScripts/simple
=== PAUSE TestScripts/simple
=== RUN   TestScripts/skip
=== PAUSE TestScripts/skip
=== RUN   TestScripts/work
=== PAUSE TestScripts/work
=== CONT  TestScripts/env_var_no_go
=== CONT  TestScripts/noproxy
=== CONT  TestScripts/skip
=== CONT  TestScripts/simple
=== CONT  TestScripts/work
=== CONT  TestScripts/help
=== CONT  TestScripts/error
=== CONT  TestScripts/env_var_with_go
=== CONT  TestScripts/nogo
=== CONT  TestScripts/help
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=https://proxy.golang.org,direct
        goversion=1.15
        GOINTERNALMODPATH=.
        GONOSUMDB=*
        
        # Simply sanity check on help output (0.014s)
        > ! testscript -help
        [stderr]
        The testscript command runs github.com/rogpeppe/go-internal/testscript scripts
        in a fresh temporary work directory tree.
        
        Usage:
            testscript [-v] [-e VAR]... files...
        
        The testscript command is designed to make it easy to create self-contained
        reproductions of command sequences.
        
        Each file is opened as a script and run as described in the documentation for
        github.com/rogpeppe/go-internal/testscript. The special filename "-" is
        interpreted as the standard input.
        
        As a special case, supporting files/directories in the .gomodproxy subdirectory
        will be served via a github.com/rogpeppe/go-internal/goproxytest server which
        is available to each script via the GOPROXY environment variable. The contents
        of the .gomodproxy subdirectory are not available to the script except via the
        proxy server. See the documentation for
        github.com/rogpeppe/go-internal/goproxytest for details on the format of these
        files/directories.
        
        Environment variables can be passed through to each script with the -e flag,
        where VAR is the name of the variable. Variables override testscript-defined
        values, with the exception of WORK which cannot be overridden. The -e flag can
        appear multiple times to specify multiple variables.
        
        Examples
        ========
        
        The following example, fruit.txt, shows a simple reproduction that includes
        .gomodproxy supporting files:
        
            go get -m fruit.com
            go list fruit.com/...
            stdout 'fruit.com/fruit'
        
            -- go.mod --
            module mod
        
            -- .gomodproxy/fruit.com_v1.0.0/.mod --
            module fruit.com
        
            -- .gomodproxy/fruit.com_v1.0.0/.info --
            {"Version":"v1.0.0","Time":"2018-10-22T18:45:39Z"}
        
            -- .gomodproxy/fruit.com_v1.0.0/fruit/fruit.go --
            package fruit
        
            const Name = "Apple"
        
        Running testscript -v fruit.txt we get:
        
            ...
            > go get -m fruit.com
            [stderr]
            go: finding fruit.com v1.0.0
        
            > go list fruit.com/...
            [stdout]
            fruit.com/fruit
        
            [stderr]
            go: downloading fruit.com v1.0.0
        
            > stdout 'fruit.com/fruit'
            PASS
        
        
        The following example, goimports.txt, shows a simple reproduction involving
        goimports:
        
            go install golang.org/x/tools/cmd/goimports
        
            # check goimports help information
            exec goimports -d main.go
            stdout 'import "math"'
        
            -- go.mod --
            module mod
        
            require golang.org/x/tools v0.0.0-20181221235234-d00ac6d27372
        
            -- main.go --
            package mod
        
            const Pi = math.Pi
        
        Running testscript -v goimports.txt we get:
        
            ...
            > go install golang.org/x/tools/cmd/goimports
            [stderr]
            go: finding golang.org/x/tools v0.0.0-20181221235234-d00ac6d27372
            go: downloading golang.org/x/tools v0.0.0-20181221235234-d00ac6d27372
        
            # check goimports help information (0.015s)
            > exec goimports -d main.go
            [stdout]
            diff -u main.go.orig main.go
            --- main.go.orig        2019-01-08 16:03:35.861907738 +0000
            +++ main.go     2019-01-08 16:03:35.861907738 +0000
            @@ -1,3 +1,5 @@
             package mod
        
            +import "math"
            +
             const Pi = math.Pi
            > stdout 'import "math"'
            PASS
        [exit status 2]
        > ! stdout .+
        > stderr 'The testscript command'
        > stderr 'Examples'
        PASS
        
=== CONT  TestScripts/nogo
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=https://proxy.golang.org,direct
        goversion=1.15
        GOINTERNALMODPATH=.
        GONOSUMDB=*
        
        # should support skip (0.016s)
        > unquote file.txt
        > env PATH=
        > ! testscript -v file.txt
        [stdout]
        
        WORK=$WORK
        PATH=
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        
        > go env
        FAIL: $WORK/tmp/testscript719298144/0/script.txt:1: unknown command "go"
        [stderr]
        error running file.txt in $WORK/tmp/testscript719298144/0
        
        [exit status 1]
        > stdout 'unknown command "go"'
        > stderr 'error running file.txt in'
        PASS
        
=== CONT  TestScripts/skip
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=https://proxy.golang.org,direct
        goversion=1.15
        GOINTERNALMODPATH=.
        GONOSUMDB=*
        
        # should support skip (0.097s)
        > unquote file.txt
        > testscript -v file.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=https://proxy.golang.org,direct
        goversion=1.15
        
        > go version
        [stdout]
        go version go1.15.15 linux/amd64
        
        > skip
        > stdout 'go version'
        > ! stderr .+
        PASS
        
=== CONT  TestScripts/work
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=https://proxy.golang.org,direct
        goversion=1.15
        GOINTERNALMODPATH=.
        GONOSUMDB=*
        
        # should support skip (0.114s)
        > unquote file.txt
        > testscript -v -work file.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=https://proxy.golang.org,direct
        goversion=1.15
        
        > exec true
        PASS
        [stderr]
        temporary work directory: $WORK/tmp/testscript996519395
        > stderr '\Qtemporary work directory: '$WORK'\E[/\\]tmp[/\\]'
        PASS
        
=== CONT  TestScripts/env_var_no_go
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=https://proxy.golang.org,direct
        goversion=1.15
        GOINTERNALMODPATH=.
        GONOSUMDB=*
        
        # Test passing environment variables to scripts with no go command on PATH
        #
        # This is the counterpart to env_var_with_go.txt (0.001s)
        > unquote noproxy.txt
        > unquote withproxy.txt
        > dropgofrompath
        > env BANANA=banana
        > env GOPATH=$WORK/ourgopath
        > env GOPROXY=
        # no GOPROXY, no pass-through, no proxy (0.018s)
        > testscript -v noproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/sbin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        
        > env BANANA
        BANANA=
        > env GOPATH
        GOPATH=
        > env GOPROXY
        GOPROXY=
        PASS
        > stdout ^BANANA=$
        > stdout ^GOPATH=$
        > stdout ^GOPROXY=$
        > ! stderr .+
        # no GOPROXY, no pass-through, with proxy (0.020s)
        > testscript -v withproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/sbin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPROXY=http://127.0.0.1:33413/mod
        GONOSUMDB=*
        
        > env BANANA
        BANANA=
        > env GOPATH
        GOPATH=
        > env GOPROXY
        GOPROXY=http://127.0.0.1:33413/mod
        PASS
        > stdout ^BANANA=$
        > stdout ^GOPATH=$
        > stdout ^GOPROXY=http://.*/mod$
        > ! stderr .+
        # no GOPROXY, with pass-through, no proxy (0.013s)
        > testscript -v -e BANANA -e GOPATH -e GOPROXY noproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/sbin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        BANANA=banana
        GOPATH=$WORK/ourgopath
        GOPROXY=
        
        > env BANANA
        BANANA=banana
        > env GOPATH
        GOPATH=$WORK/ourgopath
        > env GOPROXY
        GOPROXY=
        PASS
        > stdout ^BANANA=banana$
        > stdout ^GOPATH=${WORK@R}[/\\]ourgopath$
        > stdout ^GOPROXY=$
        > ! stderr .+
        # no GOPROXY, with pass-through, with proxy (0.015s)
        > testscript -v -e BANANA -e GOPATH -e GOPROXY withproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/sbin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPROXY=
        GONOSUMDB=*
        BANANA=banana
        GOPATH=$WORK/ourgopath
        
        > env BANANA
        BANANA=banana
        > env GOPATH
        GOPATH=$WORK/ourgopath
        > env GOPROXY
        GOPROXY=
        PASS
        > stdout ^BANANA=banana$
        > stdout ^GOPATH=${WORK@R}[/\\]ourgopath$
        > stdout ^GOPROXY=$
        > ! stderr .+
        > setfilegoproxy $WORK/proxy
        # with GOPROXY, no pass-through, no proxy (0.015s)
        > testscript -v noproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/sbin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        
        > env BANANA
        BANANA=
        > env GOPATH
        GOPATH=
        > env GOPROXY
        GOPROXY=
        PASS
        > stdout ^BANANA=$
        > stdout ^GOPATH=$
        > stdout ^GOPROXY=$
        > ! stderr .+
        # with GOPROXY, no pass-through, with proxy (0.012s)
        > testscript -v withproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/sbin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPROXY=http://127.0.0.1:38129/mod
        GONOSUMDB=*
        
        > env BANANA
        BANANA=
        > env GOPATH
        GOPATH=
        > env GOPROXY
        GOPROXY=http://127.0.0.1:38129/mod
        PASS
        > stdout ^BANANA=$
        > stdout ^GOPATH=$
        > stdout ^GOPROXY=http://.*/mod$
        > ! stderr .+
        # with GOPROXY, with pass-through, no proxy (0.008s)
        > testscript -v -e BANANA -e GOPATH -e GOPROXY noproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/sbin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        BANANA=banana
        GOPATH=$WORK/ourgopath
        GOPROXY=file://$WORK/proxy
        
        > env BANANA
        BANANA=banana
        > env GOPATH
        GOPATH=$WORK/ourgopath
        > env GOPROXY
        GOPROXY=file://$WORK/proxy
        PASS
        > stdout ^BANANA=banana$
        > stdout ^GOPATH=${WORK@R}[/\\]ourgopath$
        > stdout ^GOPROXY=$GOPROXY$
        > ! stderr .+
        # with GOPROXY, with pass-through, with proxy (0.013s)
        > testscript -v -e BANANA -e GOPATH -e GOPROXY withproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/sbin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPROXY=file://$WORK/proxy
        GONOSUMDB=*
        BANANA=banana
        GOPATH=$WORK/ourgopath
        
        > env BANANA
        BANANA=banana
        > env GOPATH
        GOPATH=$WORK/ourgopath
        > env GOPROXY
        GOPROXY=file://$WORK/proxy
        PASS
        > stdout ^BANANA=banana$
        > stdout ^GOPATH=${WORK@R}[/\\]ourgopath$
        > stdout ^GOPROXY=$GOPROXY$
        > ! stderr .+
        PASS
        
=== CONT  TestScripts/simple
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=https://proxy.golang.org,direct
        goversion=1.15
        GOINTERNALMODPATH=.
        GONOSUMDB=*
        
        # With .gomodproxy supporting files, any GOPROXY from the
        # environment should be overridden by the test proxy. (0.166s)
        > env GOPROXY=0.1.2.3
        > unquote file.txt
        > testscript -v file.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=http://127.0.0.1:35767/mod
        goversion=1.15
        GONOSUMDB=*
        
        > go list -m
        [stdout]
        example.com/mod
        
        > stdout 'example.com/mod'
        > go list fruit.com/...
        [stdout]
        fruit.com/coretest
        fruit.com/fruit
        
        [stderr]
        go: downloading fruit.com v1.0.0
        
        > stdout 'fruit.com/fruit'
        > stdout 'fruit.com/coretest'
        PASS
        > stdout 'example.com/mod'
        > ! stderr .+
        PASS
        
=== CONT  TestScripts/error
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=https://proxy.golang.org,direct
        goversion=1.15
        GOINTERNALMODPATH=.
        GONOSUMDB=*
        
        # should support skip (0.001s)
        > unquote file.txt
        # stdin (0.100s)
        > stdin file.txt
        > ! testscript -v
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=https://proxy.golang.org,direct
        goversion=1.15
        
        > exec false
        [exit status 1]
        FAIL: $WORK/tmp/testscript697372937/0/script.txt:1: unexpected command failure
        [stderr]
        error running <stdin> in $WORK/tmp/testscript697372937/0
        
        [exit status 1]
        > stderr 'error running <stdin> in'
        # file-based (0.074s)
        > ! testscript -v file.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=https://proxy.golang.org,direct
        goversion=1.15
        
        > exec false
        [exit status 1]
        FAIL: $WORK/tmp/testscript009507822/0/script.txt:1: unexpected command failure
        [stderr]
        error running file.txt in $WORK/tmp/testscript009507822/0
        
        [exit status 1]
        > stderr 'error running file.txt in'
        PASS
        
=== CONT  TestScripts/noproxy
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=https://proxy.golang.org,direct
        goversion=1.15
        GOINTERNALMODPATH=.
        GONOSUMDB=*
        
        # With no .gomodproxy supporting files, we use the GOPROXY from
        # the environment. (0.206s)
        > env GOPROXY=0.1.2.3
        > unquote file.txt
        > testscript -v file.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=0.1.2.3
        goversion=1.15
        
        > go env
        [stdout]
        GO111MODULE=""
        GOARCH="amd64"
        GOBIN=""
        GOCACHE="/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build"
        GOENV="/no-home/.config/go/env"
        GOEXE=""
        GOFLAGS=""
        GOHOSTARCH="amd64"
        GOHOSTOS="linux"
        GOINSECURE=""
        GOMODCACHE="$WORK/gopath/pkg/mod"
        GONOPROXY=""
        GONOSUMDB=""
        GOOS="linux"
        GOPATH="$WORK/gopath"
        GOPRIVATE=""
        GOPROXY="0.1.2.3"
        GOROOT="/usr/lib/go-1.15"
        GOSUMDB="sum.golang.org"
        GOTMPDIR=""
        GOTOOLDIR="/usr/lib/go-1.15/pkg/tool/linux_amd64"
        GCCGO="gccgo"
        AR="ar"
        CC="gcc"
        CXX="g++"
        CGO_ENABLED="1"
        GOMOD=""
        CGO_CFLAGS="-g -O2"
        CGO_CPPFLAGS=""
        CGO_CXXFLAGS="-g -O2"
        CGO_FFLAGS="-g -O2"
        CGO_LDFLAGS="-g -O2"
        PKG_CONFIG="pkg-config"
        GOGCCFLAGS="-fPIC -m64 -pthread -fmessage-length=0 -fdebug-prefix-map=$WORK/tmp/go-build685879812=/tmp/go-build -gno-record-gcc-switches"
        
        > [!windows] stdout '^GOPROXY="0.1.2.3"$'
        > [windows] stdout '^set GOPROXY=0.1.2.3$'
        PASS
        PASS
        
=== CONT  TestScripts/env_var_with_go
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=https://proxy.golang.org,direct
        goversion=1.15
        GOINTERNALMODPATH=.
        GONOSUMDB=*
        
        # Test passing environment variables to scripts with the go command on PATH
        #
        # Below where we check the output of testscript -v, we have to match against
        # the string literal $WORK because testscript rewrites the actual directory
        # to $WORK. Hence we don't want to expand this script's $WORK in such a comparison.
        #
        # This is the counterpart to env_var_no_go.txt (0.001s)
        > unquote noproxy.txt
        > unquote withproxy.txt
        # Baseline (0.101s)
        > testscript -v noproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=https://proxy.golang.org,direct
        goversion=1.15
        
        > env BANANA
        BANANA=
        > env GOPATH
        GOPATH=$WORK/gopath
        > env GOPROXY
        GOPROXY=https://proxy.golang.org,direct
        PASS
        > stdout ^BANANA=$
        > stdout '^GOPATH=\$WORK[/\\]gopath'$
        > [!go1.13] stdout ^GOPROXY=$
        > [go1.13] stdout ^GOPROXY=https://proxy.golang.org,direct$
        > ! stderr .+
        > env BANANA=banana
        > env GOPATH=$WORK/ourgopath
        > env GOPROXY=
        # no GOPROXY, no pass-through, no proxy (0.064s)
        > testscript -v noproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=https://proxy.golang.org,direct
        goversion=1.15
        
        > env BANANA
        BANANA=
        > env GOPATH
        GOPATH=$WORK/gopath
        > env GOPROXY
        GOPROXY=https://proxy.golang.org,direct
        PASS
        > stdout ^BANANA=$
        > stdout '^GOPATH=\$WORK[/\\]gopath'$
        > [!go1.13] stdout ^GOPROXY=$
        > [go1.13] stdout ^GOPROXY=https://proxy.golang.org,direct$
        > ! stderr .+
        # no GOPROXY, no pass-through, with proxy (0.083s)
        > testscript -v withproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=http://127.0.0.1:46817/mod
        goversion=1.15
        GONOSUMDB=*
        
        > env BANANA
        BANANA=
        > env GOPATH
        GOPATH=$WORK/gopath
        > env GOPROXY
        GOPROXY=http://127.0.0.1:46817/mod
        PASS
        > stdout ^BANANA=$
        > stdout '^GOPATH=\$WORK[/\\]gopath'$
        > stdout ^GOPROXY=http://.*/mod$
        > ! stderr .+
        # no GOPROXY, with pass-through, no proxy (0.080s)
        > testscript -v -e BANANA -e GOPATH -e GOPROXY noproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/ourgopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=
        goversion=1.15
        BANANA=banana
        
        > env BANANA
        BANANA=banana
        > env GOPATH
        GOPATH=$WORK/ourgopath
        > env GOPROXY
        GOPROXY=
        PASS
        > stdout ^BANANA=banana$
        > stdout ^GOPATH=${WORK@R}[/\\]ourgopath$
        > stdout ^GOPROXY=$
        > ! stderr .+
        # no GOPROXY, with pass-through, with proxy (0.089s)
        > testscript -v -e BANANA -e GOPATH -e GOPROXY withproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/ourgopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=
        goversion=1.15
        GONOSUMDB=*
        BANANA=banana
        
        > env BANANA
        BANANA=banana
        > env GOPATH
        GOPATH=$WORK/ourgopath
        > env GOPROXY
        GOPROXY=
        PASS
        > stdout ^BANANA=banana$
        > stdout ^GOPATH=${WORK@R}[/\\]ourgopath$
        > stdout ^GOPROXY=$
        > ! stderr .+
        > setfilegoproxy $WORK/proxy
        # with GOPROXY, no pass-through, no proxy (0.089s)
        > testscript -v noproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=file://$WORK/proxy
        goversion=1.15
        
        > env BANANA
        BANANA=
        > env GOPATH
        GOPATH=$WORK/gopath
        > env GOPROXY
        GOPROXY=file://$WORK/proxy
        PASS
        > stdout ^BANANA=$
        > stdout '^GOPATH=\$WORK[/\\]gopath'$
        > stdout ^GOPROXY=$GOPROXY$
        > ! stderr .+
        # with GOPROXY, no pass-through, with proxy (0.085s)
        > testscript -v withproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=http://127.0.0.1:43047/mod
        goversion=1.15
        GONOSUMDB=*
        
        > env BANANA
        BANANA=
        > env GOPATH
        GOPATH=$WORK/gopath
        > env GOPROXY
        GOPROXY=http://127.0.0.1:43047/mod
        PASS
        > stdout ^BANANA=$
        > stdout '^GOPATH=\$WORK[/\\]gopath'$
        > stdout ^GOPROXY=http://.*/mod$
        > ! stderr .+
        # with GOPROXY, with pass-through, no proxy (0.087s)
        > testscript -v -e BANANA -e GOPATH -e GOPROXY noproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/ourgopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=file://$WORK/proxy
        goversion=1.15
        BANANA=banana
        
        > env BANANA
        BANANA=banana
        > env GOPATH
        GOPATH=$WORK/ourgopath
        > env GOPROXY
        GOPROXY=file://$WORK/proxy
        PASS
        > stdout ^BANANA=banana$
        > stdout ^GOPATH=${WORK@R}[/\\]ourgopath$
        > stdout ^GOPROXY=$GOPROXY$
        > ! stderr .+
        # with GOPROXY, with pass-through, with proxy (0.098s)
        > testscript -v -e BANANA -e GOPATH -e GOPROXY withproxy.txt
        [stdout]
        
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/ourgopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=file://$WORK/proxy
        goversion=1.15
        GONOSUMDB=*
        BANANA=banana
        
        > env BANANA
        BANANA=banana
        > env GOPATH
        GOPATH=$WORK/ourgopath
        > env GOPROXY
        GOPROXY=file://$WORK/proxy
        PASS
        > stdout ^BANANA=banana$
        > stdout ^GOPATH=${WORK@R}[/\\]ourgopath$
        > stdout ^GOPROXY=$GOPROXY$
        > ! stderr .+
        PASS
        
--- PASS: TestScripts (0.09s)
    --- PASS: TestScripts/help (0.02s)
    --- PASS: TestScripts/nogo (0.02s)
    --- PASS: TestScripts/skip (0.10s)
    --- PASS: TestScripts/work (0.12s)
    --- PASS: TestScripts/env_var_no_go (0.12s)
    --- PASS: TestScripts/simple (0.17s)
    --- PASS: TestScripts/error (0.18s)
    --- PASS: TestScripts/noproxy (0.21s)
    --- PASS: TestScripts/env_var_with_go (0.78s)
PASS
ok  	github.com/rogpeppe/go-internal/cmd/testscript	0.881s
=== RUN   TestScripts
=== RUN   TestScripts/encode
=== PAUSE TestScripts/encode
=== RUN   TestScripts/to_stdout
=== PAUSE TestScripts/to_stdout
=== RUN   TestScripts/txtar-addmod-self
=== PAUSE TestScripts/txtar-addmod-self
=== CONT  TestScripts/encode
=== CONT  TestScripts/txtar-addmod-self
=== CONT  TestScripts/to_stdout
go proxy: no archive github.com/shurcooL v0.0.0-20171119174359-809beceb2371
go proxy: no archive github.com v0.0.0-20171119174359-809beceb2371
=== CONT  TestScripts/encode
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=http://127.0.0.1:33123/mod
        goversion=1.15
        GONOSUMDB=*
        
        > mkdir $WORK/out
        > txtar-addmod $WORK/out github.com/shurcooL/httpfs@v0.0.0-20171119174359-809beceb2371
        > ! stdout .+
        > ! stderr .+
        > exists $WORK/out/github.com_shurcoo!l_httpfs_v0.0.0-20171119174359-809beceb2371.txt
        PASS
        
=== CONT  TestScripts/to_stdout
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=http://127.0.0.1:33123/mod
        goversion=1.15
        GONOSUMDB=*
        
        > unquote expect
        > txtar-addmod - github.com/gobin-testrepos/simple-main
        [stdout]
        -- .gomodproxy/github.com_gobin-testrepos_simple-main_v1.0.0/.mod --
        module github.com/gobin-testrepos/simple-main
        -- .gomodproxy/github.com_gobin-testrepos_simple-main_v1.0.0/.info --
        {"Version":"v1.0.0","Time":"2018-10-22T18:45:39Z"}
        -- .gomodproxy/github.com_gobin-testrepos_simple-main_v1.0.0/go.mod --
        module github.com/gobin-testrepos/simple-main
        -- .gomodproxy/github.com_gobin-testrepos_simple-main_v1.0.0/main.go --
        package main
        
        import "fmt"
        
        func main() {
        	fmt.Println("I am a simple module-based main")
        }
        > cmp stdout expect
        > ! stderr .+
        PASS
        
=== CONT  TestScripts/txtar-addmod-self
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=http://127.0.0.1:33123/mod
        goversion=1.15
        GONOSUMDB=*
        
        > mkdir $WORK/out
        > txtar-addmod $WORK/out github.com/gobin-testrepos/simple-main
        > ! stdout .+
        > ! stderr .+
        > exists $WORK/out/github.com_gobin-testrepos_simple-main_v1.0.0.txt
        > ! grep foobar $WORK/out/github.com_gobin-testrepos_simple-main_v1.0.0.txt
        > txtar-addmod -all $WORK/out github.com/gobin-testrepos/simple-main
        > grep '-- foobar --' $WORK/out/github.com_gobin-testrepos_simple-main_v1.0.0.txt
        PASS
        
--- PASS: TestScripts (0.08s)
    --- PASS: TestScripts/encode (0.11s)
    --- PASS: TestScripts/to_stdout (0.16s)
    --- PASS: TestScripts/txtar-addmod-self (0.27s)
PASS
ok  	github.com/rogpeppe/go-internal/cmd/txtar-addmod	0.362s
=== RUN   TestScripts
=== RUN   TestScripts/all
=== PAUSE TestScripts/all
=== RUN   TestScripts/needquote
=== PAUSE TestScripts/needquote
=== RUN   TestScripts/quote
=== PAUSE TestScripts/quote
=== RUN   TestScripts/txtar-savedir-self
=== PAUSE TestScripts/txtar-savedir-self
=== CONT  TestScripts/all
=== CONT  TestScripts/quote
=== CONT  TestScripts/txtar-savedir-self
=== CONT  TestScripts/needquote
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        
        > unquote blah/withsep
        > unquote expect
        > txtar-c blah
        [stdout]
        -- nosep --
        bar
        [stderr]
        txtar-c: blah/withsep: ignoring file with txtar marker in
        > stderr 'txtar-c: blah.withsep: ignoring file with txtar marker in'
        > cmp stdout expect
        PASS
        
=== CONT  TestScripts/quote
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        
        > unquote blah/withsep
        > unquote expect
        > txtar-c -quote blah
        [stdout]
        unquote withsep
        -- withsep --
        >-- separator --
        >foo
        > ! stderr .+
        > cmp stdout expect
        PASS
        
=== CONT  TestScripts/txtar-savedir-self
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        
        > unquote expect
        > txtar-c blah
        [stdout]
        -- go.mod --
        module example.com/blah
        
        -- main.go --
        package main
        
        import "fmt"
        
        func main() {
          fmt.Println("Hello, world!")
        }
        -- subdir/x --
        x contents
        > ! stderr .+
        > cmp stdout expect
        PASS
        
=== CONT  TestScripts/all
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        
        > unquote expect-all
        > unquote expect-no-all
        # Without the -a flag, it should ignore . files. (0.007s)
        > txtar-c blah
        [stdout]
        -- go.mod --
        module example.com/blah
        
        -- main.go --
        package main
        
        import "fmt"
        
        func main() {
          fmt.Println("Hello, world!")
        }
        > ! stderr .+
        > cmp stdout expect-no-all
        # With the -a flag, it should include them. (0.006s)
        > txtar-c -a blah
        [stdout]
        -- .foo/foo --
        foo
        -- .other --
        other
        -- go.mod --
        module example.com/blah
        
        -- main.go --
        package main
        
        import "fmt"
        
        func main() {
          fmt.Println("Hello, world!")
        }
        > ! stderr .+
        > cmp stdout expect-all
        PASS
        
--- PASS: TestScripts (0.00s)
    --- PASS: TestScripts/needquote (0.01s)
    --- PASS: TestScripts/quote (0.01s)
    --- PASS: TestScripts/txtar-savedir-self (0.01s)
    --- PASS: TestScripts/all (0.02s)
PASS
ok  	github.com/rogpeppe/go-internal/cmd/txtar-c	0.022s
?   	github.com/rogpeppe/go-internal/cmd/txtar-goproxy	[no test files]
=== RUN   TestScripts
=== RUN   TestScripts/extract-dir
=== PAUSE TestScripts/extract-dir
=== RUN   TestScripts/extract-out-of-bounds
=== PAUSE TestScripts/extract-out-of-bounds
=== RUN   TestScripts/extract-stdin
=== PAUSE TestScripts/extract-stdin
=== RUN   TestScripts/extract
=== PAUSE TestScripts/extract
=== CONT  TestScripts/extract-dir
=== CONT  TestScripts/extract-stdin
=== CONT  TestScripts/extract
=== CONT  TestScripts/extract-out-of-bounds
=== CONT  TestScripts/extract-dir
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        
        > unquote file.txtar
        > txtar-x -C x/y file.txtar
        > cmp x/y/foo expect/foo
        > cmp x/y/a/b/bar expect/a/b/bar
        PASS
        
=== CONT  TestScripts/extract-stdin
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        
        > unquote file.txtar
        > stdin file.txtar
        > txtar-x
        > cmp foo expect/foo
        > cmp a/b/bar expect/a/b/bar
        PASS
        
=== CONT  TestScripts/extract
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        
        > unquote file.txtar
        > txtar-x file.txtar
        > cmp foo expect/foo
        > cmp a/b/bar expect/a/b/bar
        PASS
        
=== CONT  TestScripts/extract-out-of-bounds
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        
        > unquote file1.txtar file2.txtar
        > ! txtar-x file1.txtar
        [stderr]
        txtar-x: "../foo": outside parent directory
        [exit status 1]
        > stderr '"\.\./foo": outside parent directory'
        > ! txtar-x file2.txtar
        [stderr]
        txtar-x: "/foo": outside parent directory
        [exit status 1]
        > stderr '"/foo": outside parent directory'
        PASS
        
--- PASS: TestScripts (0.00s)
    --- PASS: TestScripts/extract-stdin (0.01s)
    --- PASS: TestScripts/extract-dir (0.01s)
    --- PASS: TestScripts/extract (0.01s)
    --- PASS: TestScripts/extract-out-of-bounds (0.01s)
PASS
ok  	github.com/rogpeppe/go-internal/cmd/txtar-x	0.020s
=== RUN   TestHash1
--- PASS: TestHash1 (0.00s)
=== RUN   TestHashDir
--- PASS: TestHashDir (0.00s)
=== RUN   TestHashZip
--- PASS: TestHashZip (0.00s)
=== RUN   TestDirFiles
--- PASS: TestDirFiles (0.00s)
PASS
ok  	github.com/rogpeppe/go-internal/dirhash	0.007s
=== RUN   TestCompare
--- PASS: TestCompare (0.00s)
=== RUN   TestOrder
--- PASS: TestOrder (0.00s)
=== RUN   TestInterface
--- PASS: TestInterface (0.00s)
PASS
ok  	github.com/rogpeppe/go-internal/fmtsort	0.005s
=== RUN   TestScripts
=== RUN   TestScripts/list
=== PAUSE TestScripts/list
=== CONT  TestScripts/list
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=http://127.0.0.1:33975/mod
        goversion=1.15
        GONOSUMDB=*
        
        # prior to go 1.12 you cannot list a module without a requirement (0.111s)
        > [!go1.12] go get fruit.com
        > go list -m -versions fruit.com
        [stdout]
        fruit.com v1.0.0 v1.1.0
        
        > stdout 'v1.0.0 v1.1.0'
        > go get -d fruit.com@v1.0.0
        [stderr]
        go: downloading fruit.com v1.0.0
        
        > go get -d fruit.com@v1.1.0
        [stderr]
        go: downloading fruit.com v1.1.0
        
        PASS
        
--- PASS: TestScripts (0.08s)
    --- PASS: TestScripts/list (0.12s)
PASS
ok  	github.com/rogpeppe/go-internal/goproxytest	0.205s
=== RUN   TestSimple
=== RUN   TestSimple/version
=== PAUSE TestSimple/version
=== CONT  TestSimple/version
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GOPATH=$WORK/gopath
        CCACHE_DISABLE=1
        GOARCH=amd64
        GOOS=linux
        GOROOT=/usr/lib/go-1.15
        GOCACHE=/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/obj-x86_64-linux-gnu/go-build
        GOPROXY=https://proxy.golang.org,direct
        goversion=1.15
        
        > go list -f '{{context.ReleaseTags}}' runtime
        [stdout]
        [go1.1 go1.2 go1.3 go1.4 go1.5 go1.6 go1.7 go1.8 go1.9 go1.10 go1.11 go1.12 go1.13 go1.14 go1.15]
        
        > [go1.11] [!go1.12] stdout go1\.11
        > [go1.11] [!go1.12] ! stdout go1\.12
        > [go1.12] stdout go1\.12
        PASS
        
--- PASS: TestSimple (0.06s)
    --- PASS: TestSimple/version (0.06s)
PASS
ok  	github.com/rogpeppe/go-internal/gotooltest	0.127s
=== RUN   TestReadImports
--- PASS: TestReadImports (0.00s)
=== RUN   TestReadComments
--- PASS: TestReadComments (0.00s)
=== RUN   TestReadFailures
--- PASS: TestReadFailures (0.00s)
=== RUN   TestReadFailuresIgnored
--- PASS: TestReadFailuresIgnored (0.00s)
=== RUN   TestScan
--- PASS: TestScan (0.00s)
=== RUN   TestScanStar
--- PASS: TestScanStar (0.00s)
PASS
ok  	github.com/rogpeppe/go-internal/imports	0.008s
?   	github.com/rogpeppe/go-internal/internal/os/execpath	[no test files]
?   	github.com/rogpeppe/go-internal/internal/syscall/windows	[no test files]
?   	github.com/rogpeppe/go-internal/internal/syscall/windows/registry	[no test files]
?   	github.com/rogpeppe/go-internal/internal/syscall/windows/sysdll	[no test files]
=== RUN   TestDiff
--- PASS: TestDiff (0.00s)
PASS
ok  	github.com/rogpeppe/go-internal/internal/textutil	0.016s
=== RUN   TestMutexExcludes
=== PAUSE TestMutexExcludes
=== RUN   TestReadWaitsForLock
=== PAUSE TestReadWaitsForLock
=== RUN   TestCanLockExistingFile
=== PAUSE TestCanLockExistingFile
=== RUN   TestSpuriousEDEADLK
--- PASS: TestSpuriousEDEADLK (0.02s)
=== CONT  TestMutexExcludes
=== CONT  TestCanLockExistingFile
=== CONT  TestMutexExcludes
    lockedfile_test.go:74: mu := MutexAt(_)
=== CONT  TestReadWaitsForLock
=== CONT  TestMutexExcludes
    lockedfile_test.go:80: unlock, _  := mu.Lock()
    lockedfile_test.go:83: mu2 := MutexAt(mu.Path)
=== CONT  TestReadWaitsForLock
    lockedfile_test.go:123: WriteString("part 1\n") = <nil>
=== CONT  TestMutexExcludes
    lockedfile_test.go:96: unlock()
    lockedfile_test.go:91: unlock2, _ := mu2.Lock()
    lockedfile_test.go:92: unlock2()
--- PASS: TestMutexExcludes (0.01s)
--- PASS: TestCanLockExistingFile (0.01s)
=== CONT  TestReadWaitsForLock
    lockedfile_test.go:145: WriteString("part 2\n") = <nil>
    lockedfile_test.go:135: Read(_) = "part 1\npart 2\n"
--- PASS: TestReadWaitsForLock (0.01s)
PASS
ok  	github.com/rogpeppe/go-internal/lockedfile	0.039s
=== RUN   TestLockExcludesLock
=== PAUSE TestLockExcludesLock
=== RUN   TestLockExcludesRLock
=== PAUSE TestLockExcludesRLock
=== RUN   TestRLockExcludesOnlyLock
=== PAUSE TestRLockExcludesOnlyLock
=== RUN   TestLockNotDroppedByExecCommand
    filelock_test.go:190: fd 7 = /tmp/TestLockNotDroppedByExecCommand146364145
    filelock_test.go:193: Lock(fd 7) = <nil>
    filelock_test.go:195: fd 8 = os.Open("/tmp/TestLockNotDroppedByExecCommand146364145")
    filelock_test.go:206: Lock(fd 8) is blocked (as expected)
    filelock_test.go:207: Unlock(fd 7) = <nil>
    asm_amd64.s:1374: Lock(fd 8) = <nil>
    filelock_test.go:209: Unlock(fd 8) = <nil>
--- PASS: TestLockNotDroppedByExecCommand (0.01s)
=== CONT  TestLockExcludesLock
=== CONT  TestRLockExcludesOnlyLock
=== CONT  TestLockExcludesLock
    filelock_test.go:124: fd 7 = /tmp/TestLockExcludesLock275996572
    filelock_test.go:127: fd 9 = os.Open("/tmp/TestLockExcludesLock275996572")
    filelock_test.go:130: Lock(fd 7) = <nil>
=== CONT  TestRLockExcludesOnlyLock
    filelock_test.go:156: fd 8 = /tmp/TestRLockExcludesOnlyLock455531083
    filelock_test.go:158: RLock(fd 8) = <nil>
    filelock_test.go:160: fd 10 = os.Open("/tmp/TestRLockExcludesOnlyLock455531083")
    filelock_test.go:172: RLock(fd 10) = <nil>
    filelock_test.go:175: fd 11 = os.Open("/tmp/TestRLockExcludesOnlyLock455531083")
=== CONT  TestLockExcludesRLock
    filelock_test.go:140: fd 12 = /tmp/TestLockExcludesRLock981998894
    filelock_test.go:143: fd 13 = os.Open("/tmp/TestLockExcludesRLock981998894")
    filelock_test.go:146: Lock(fd 12) = <nil>
=== CONT  TestLockExcludesLock
    filelock_test.go:131: Lock(fd 9) is blocked (as expected)
    filelock_test.go:132: Unlock(fd 7) = <nil>
=== CONT  TestRLockExcludesOnlyLock
    filelock_test.go:177: Lock(fd 11) is blocked (as expected)
    filelock_test.go:179: Unlock(fd 10) = <nil>
    filelock_test.go:181: Unlock(fd 8) = <nil>
    asm_amd64.s:1374: Lock(fd 11) = <nil>
    filelock_test.go:184: Unlock(fd 11) = <nil>
--- PASS: TestRLockExcludesOnlyLock (0.01s)
=== CONT  TestLockExcludesRLock
    filelock_test.go:147: RLock(fd 13) is blocked (as expected)
    filelock_test.go:148: Unlock(fd 12) = <nil>
    asm_amd64.s:1374: RLock(fd 13) = <nil>
    filelock_test.go:150: Unlock(fd 13) = <nil>
--- PASS: TestLockExcludesRLock (0.01s)
=== CONT  TestLockExcludesLock
    asm_amd64.s:1374: Lock(fd 9) = <nil>
    filelock_test.go:134: Unlock(fd 9) = <nil>
--- PASS: TestLockExcludesLock (0.02s)
PASS
ok  	github.com/rogpeppe/go-internal/lockedfile/internal/filelock	0.040s
=== RUN   TestPrintGolden
--- PASS: TestPrintGolden (0.00s)
=== RUN   TestParseLax
--- PASS: TestParseLax (0.00s)
=== RUN   TestPrintParse
--- PASS: TestPrintParse (0.00s)
=== RUN   TestModulePath
=== RUN   TestModulePath/module_"github.com/rsc/vgotest"
=== RUN   TestModulePath/module_github.com/rsc/vgotest
=== RUN   TestModulePath/module__"github.com/rsc/vgotest"
=== RUN   TestModulePath/module__github.com/rsc/vgotest
=== RUN   TestModulePath/module_`github.com/rsc/vgotest`
=== RUN   TestModulePath/module_"github.com/rsc/vgotest/v2"
=== RUN   TestModulePath/module_github.com/rsc/vgotest/v2
=== RUN   TestModulePath/module_"gopkg.in/yaml.v2"
=== RUN   TestModulePath/module_gopkg.in/yaml.v2
=== RUN   TestModulePath/module_"gopkg.in/check.v1"_
=== RUN   TestModulePath/module_"gopkg.in/check.v1_"
=== RUN   TestModulePath/module_gopkg.in/check.v1_
=== RUN   TestModulePath/module_"gopkg.in/check.v1"__
=== RUN   TestModulePath/module_gopkg.in/check.v1__
=== RUN   TestModulePath/module_"gopkg.in/check.v1"__#01
=== RUN   TestModulePath/module_gopkg.in/check.v1__#01
=== RUN   TestModulePath/module__"gopkg.in/check.v1"__
=== RUN   TestModulePath/module__gopkg.in/check.v1__
=== RUN   TestModulePath/module_"gopkg.in/check.v1"asd
=== RUN   TestModulePath/module__"gopkg.in/check.v1"__#01
=== RUN   TestModulePath/module__gopkg.in/check.v1__#01
=== RUN   TestModulePath/module_"gopkg.in/check.v1"asd#01
=== RUN   TestModulePath/module___module_a/b/c_
=== RUN   TestModulePath/module_"___"
=== RUN   TestModulePath/module___
=== RUN   TestModulePath/module_"__a/b/c__"
=== RUN   TestModulePath/module_"github.com/rsc/vgotest1"_//_with_a_comment
--- PASS: TestModulePath (0.00s)
    --- PASS: TestModulePath/module_"github.com/rsc/vgotest" (0.00s)
    --- PASS: TestModulePath/module_github.com/rsc/vgotest (0.00s)
    --- PASS: TestModulePath/module__"github.com/rsc/vgotest" (0.00s)
    --- PASS: TestModulePath/module__github.com/rsc/vgotest (0.00s)
    --- PASS: TestModulePath/module_`github.com/rsc/vgotest` (0.00s)
    --- PASS: TestModulePath/module_"github.com/rsc/vgotest/v2" (0.00s)
    --- PASS: TestModulePath/module_github.com/rsc/vgotest/v2 (0.00s)
    --- PASS: TestModulePath/module_"gopkg.in/yaml.v2" (0.00s)
    --- PASS: TestModulePath/module_gopkg.in/yaml.v2 (0.00s)
    --- PASS: TestModulePath/module_"gopkg.in/check.v1"_ (0.00s)
    --- PASS: TestModulePath/module_"gopkg.in/check.v1_" (0.00s)
    --- PASS: TestModulePath/module_gopkg.in/check.v1_ (0.00s)
    --- PASS: TestModulePath/module_"gopkg.in/check.v1"__ (0.00s)
    --- PASS: TestModulePath/module_gopkg.in/check.v1__ (0.00s)
    --- PASS: TestModulePath/module_"gopkg.in/check.v1"__#01 (0.00s)
    --- PASS: TestModulePath/module_gopkg.in/check.v1__#01 (0.00s)
    --- PASS: TestModulePath/module__"gopkg.in/check.v1"__ (0.00s)
    --- PASS: TestModulePath/module__gopkg.in/check.v1__ (0.00s)
    --- PASS: TestModulePath/module_"gopkg.in/check.v1"asd (0.00s)
    --- PASS: TestModulePath/module__"gopkg.in/check.v1"__#01 (0.00s)
    --- PASS: TestModulePath/module__gopkg.in/check.v1__#01 (0.00s)
    --- PASS: TestModulePath/module_"gopkg.in/check.v1"asd#01 (0.00s)
    --- PASS: TestModulePath/module___module_a/b/c_ (0.00s)
    --- PASS: TestModulePath/module_"___" (0.00s)
    --- PASS: TestModulePath/module___ (0.00s)
    --- PASS: TestModulePath/module_"__a/b/c__" (0.00s)
    --- PASS: TestModulePath/module_"github.com/rsc/vgotest1"_//_with_a_comment (0.00s)
=== RUN   TestAddDropReplace
=== RUN   TestAddDropReplace/#0
=== RUN   TestAddDropReplace/#1
=== RUN   TestAddDropReplace/#2
--- PASS: TestAddDropReplace (0.00s)
    --- PASS: TestAddDropReplace/#0 (0.00s)
    --- PASS: TestAddDropReplace/#1 (0.00s)
    --- PASS: TestAddDropReplace/#2 (0.00s)
=== RUN   TestAddRequire
=== RUN   TestAddRequire/#0
=== RUN   TestAddRequire/#1
=== RUN   TestAddRequire/#2
--- PASS: TestAddRequire (0.00s)
    --- PASS: TestAddRequire/#0 (0.00s)
    --- PASS: TestAddRequire/#1 (0.00s)
    --- PASS: TestAddRequire/#2 (0.00s)
PASS
ok  	github.com/rogpeppe/go-internal/modfile	0.010s
=== RUN   TestCheck
--- PASS: TestCheck (0.00s)
=== RUN   TestCheckPath
--- PASS: TestCheckPath (0.00s)
=== RUN   TestSplitPathVersion
--- PASS: TestSplitPathVersion (0.00s)
=== RUN   TestEncodePath
--- PASS: TestEncodePath (0.00s)
=== RUN   TestDecodePath
--- PASS: TestDecodePath (0.00s)
PASS
ok  	github.com/rogpeppe/go-internal/module	0.007s
=== RUN   TestWork
--- PASS: TestWork (0.02s)
=== RUN   TestWorkParallel
--- PASS: TestWorkParallel (0.00s)
=== RUN   TestCache
--- PASS: TestCache (0.00s)
PASS
ok  	github.com/rogpeppe/go-internal/par	0.046s
?   	github.com/rogpeppe/go-internal/renameio	[no test files]
=== RUN   TestIsValid
--- PASS: TestIsValid (0.00s)
=== RUN   TestCanonical
--- PASS: TestCanonical (0.00s)
=== RUN   TestMajor
--- PASS: TestMajor (0.00s)
=== RUN   TestMajorMinor
--- PASS: TestMajorMinor (0.00s)
=== RUN   TestPrerelease
--- PASS: TestPrerelease (0.00s)
=== RUN   TestBuild
--- PASS: TestBuild (0.00s)
=== RUN   TestCompare
--- PASS: TestCompare (0.00s)
=== RUN   TestMax
--- PASS: TestMax (0.00s)
PASS
ok  	github.com/rogpeppe/go-internal/semver	0.009s
?   	github.com/rogpeppe/go-internal/testenv	[no test files]
=== RUN   TestCRLFInput
=== RUN   TestCRLFInput/_
=== RUN   TestCRLFInput/_/script
=== PAUSE TestCRLFInput/_/script
=== CONT  TestCRLFInput/_/script
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        
        > exists output.txt
        PASS
        
--- PASS: TestCRLFInput (0.00s)
    --- PASS: TestCRLFInput/_ (0.00s)
        --- PASS: TestCRLFInput/_/script (0.00s)
=== RUN   TestEnv
--- PASS: TestEnv (0.00s)
=== RUN   TestScripts
=== RUN   TestScripts/cmpenv
=== PAUSE TestScripts/cmpenv
=== RUN   TestScripts/command
=== PAUSE TestScripts/command
=== RUN   TestScripts/commandstatus
=== PAUSE TestScripts/commandstatus
=== RUN   TestScripts/cpstdout
=== PAUSE TestScripts/cpstdout
=== RUN   TestScripts/defer
=== PAUSE TestScripts/defer
=== RUN   TestScripts/evalsymlink
=== PAUSE TestScripts/evalsymlink
=== RUN   TestScripts/exec_path_change
=== PAUSE TestScripts/exec_path_change
=== RUN   TestScripts/execguard
=== PAUSE TestScripts/execguard
=== RUN   TestScripts/exists
=== PAUSE TestScripts/exists
=== RUN   TestScripts/hello
=== PAUSE TestScripts/hello
=== RUN   TestScripts/interrupt
=== PAUSE TestScripts/interrupt
=== RUN   TestScripts/nothing
=== PAUSE TestScripts/nothing
=== RUN   TestScripts/readfile
=== PAUSE TestScripts/readfile
=== RUN   TestScripts/regexpquote
=== PAUSE TestScripts/regexpquote
=== RUN   TestScripts/setenv
=== PAUSE TestScripts/setenv
=== RUN   TestScripts/setupfiles
=== PAUSE TestScripts/setupfiles
=== RUN   TestScripts/stdin
=== PAUSE TestScripts/stdin
=== RUN   TestScripts/testscript_update_script
=== PAUSE TestScripts/testscript_update_script
=== RUN   TestScripts/testscript_update_script_actual_is_file
=== PAUSE TestScripts/testscript_update_script_actual_is_file
=== RUN   TestScripts/testscript_update_script_expected_not_in_archive
=== PAUSE TestScripts/testscript_update_script_expected_not_in_archive
=== RUN   TestScripts/testscript_update_script_quote
=== PAUSE TestScripts/testscript_update_script_quote
=== RUN   TestScripts/testscript_update_script_stderr
=== PAUSE TestScripts/testscript_update_script_stderr
=== RUN   TestScripts/values
=== PAUSE TestScripts/values
=== RUN   TestScripts/wait
=== PAUSE TestScripts/wait
=== CONT  TestScripts/cmpenv
=== CONT  TestScripts/readfile
=== CONT  TestScripts/exec_path_change
=== CONT  TestScripts/cpstdout
=== CONT  TestScripts/testscript_update_script_actual_is_file
=== CONT  TestScripts/cmpenv
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > env $=$
        > cmpenv file1 file2
        PASS
        
=== CONT  TestScripts/wait
=== CONT  TestScripts/commandstatus
=== CONT  TestScripts/hello
=== CONT  TestScripts/interrupt
=== CONT  TestScripts/nothing
=== CONT  TestScripts/command
=== CONT  TestScripts/exists
=== CONT  TestScripts/execguard
=== CONT  TestScripts/testscript_update_script_quote
=== CONT  TestScripts/testscript_update_script_stderr
=== CONT  TestScripts/nothing
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        # Intentionally blank file, used to test that -testwork doesn't remove the work directory  (0.000s)
        PASS
        
=== CONT  TestScripts/values
=== CONT  TestScripts/testscript_update_script
=== CONT  TestScripts/stdin
=== CONT  TestScripts/evalsymlink
=== CONT  TestScripts/defer
=== CONT  TestScripts/setenv
=== CONT  TestScripts/testscript_update_script_expected_not_in_archive
=== CONT  TestScripts/setupfiles
=== CONT  TestScripts/regexpquote
=== CONT  TestScripts/defer
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > testdefer
        > testdefer
        > testdefer
        PASS
        
=== CONT  TestScripts/exists
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > chmod 444 foo_r
        > exists foo
        > ! exists unfoo
        # TODO The following line fails but probably should not.
        # ! exists -readonly foo (0.000s)
        > exists foo_r
        > exists -readonly foo_r
        PASS
        
=== CONT  TestScripts/values
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > test-values
        PASS
        
=== CONT  TestScripts/cpstdout
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > [!exec:cat] stop
        # hello world (0.045s)
        > exec cat hello.text
        [stdout]
        hello world
        
        > cp stdout got
        > cmp got hello.text
        PASS
        
=== CONT  TestScripts/setupfiles
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        # check that the Setup function saw the unarchived files,
        # including the temp directory that's always created. (0.000s)
        > setup-filenames a b tmp
        PASS
        
=== CONT  TestScripts/setenv
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > setSpecialVal
        > exists $SPECIALVAL.txt
        > ensureSpecialVal
        PASS
        
=== CONT  TestScripts/regexpquote
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > env XXX='hello)'
        > grep ^${XXX@R}$ file.txt
        PASS
        
=== CONT  TestScripts/testscript_update_script_actual_is_file
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > unquote scripts/testscript.txt
        > unquote testscript-new.txt
        > testscript-update scripts
        testscript: 
        PASS
        $WORK/scripts/testscript.txt updated
        
        > cmp scripts/testscript.txt testscript-new.txt
        PASS
        
=== CONT  TestScripts/interrupt
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > [windows] skip
        > signalcatcher &
        > waitfile catchsignal
        > interrupt
        > wait
        [background] testscript.test: exit status 0
        [stdout]
        caught interrupt
        > stdout 'caught interrupt'
        PASS
        
=== CONT  TestScripts/hello
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > [!exec:cat] stop
        # hello world (0.003s)
        > exec cat hello.text
        [stdout]
        hello world
        > stdout 'hello world\n'
        > ! stderr .
        PASS
        
=== CONT  TestScripts/execguard
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > [exec:nosuchcommand] exec nosuchcommand
        > [!exec:cat] stop
        > exec cat foo
        [stdout]
        foo
        > stdout 'foo\n'
        PASS
        
=== CONT  TestScripts/readfile
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > echo stdout stdout
        [stdout]
        stdout
        > testreadfile stdout
        > echo stderr stderr
        [stderr]
        stderr
        > testreadfile stderr
        > testreadfile x/somefile
        PASS
        
=== CONT  TestScripts/testscript_update_script_quote
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > unquote scripts/testscript.txt
        > unquote testscript-new.txt
        > testscript-update scripts
        testscript: 
        PASS
        $WORK/scripts/testscript.txt updated
        
        > cmp scripts/testscript.txt testscript-new.txt
        PASS
        
=== CONT  TestScripts/evalsymlink
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        # If ioutil.TempDir returns a sym linked dir (default behaviour in macOS for example) the
        # matcher will have problems with external programs that uses the real path.
        # This script tests that $WORK is matched in a consistent way (also see #79). (0.013s)
        > [windows] skip
        > exec pwd
        [stdout]
        $WORK
        > stdout ^$WORK$
        > exec pwd -P
        [stdout]
        $WORK
        > stdout ^$WORK$
        PASS
        
=== CONT  TestScripts/testscript_update_script_stderr
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > unquote scripts/testscript.txt
        > unquote testscript-new.txt
        > testscript-update scripts
        testscript: 
        PASS
        $WORK/scripts/testscript.txt updated
        
        > cmp scripts/testscript.txt testscript-new.txt
        PASS
        
=== CONT  TestScripts/testscript_update_script
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > unquote scripts/testscript.txt
        > unquote testscript-new.txt
        > testscript-update scripts
        testscript: 
        PASS
        $WORK/scripts/testscript.txt updated
        
        > cmp scripts/testscript.txt testscript-new.txt
        PASS
        
=== CONT  TestScripts/commandstatus
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > ! status 1
        [exit status 1]
        > ! status 2
        [exit status 2]
        > status 0
        PASS
        
=== CONT  TestScripts/command
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > printargs a b 'c d'
        [stdout]
        ["printargs" "a" "b" "c d"]
        > stdout '\["printargs" "a" "b" "c d"\]\n'
        PASS
        
=== CONT  TestScripts/wait
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > [!exec:echo] skip
        > [!exec:false] skip
        # TODO: the '\n' below doesn't work on Windows on Github Actions, which does
        # have coreutils like "echo" installed. Perhaps they emit CRLF? (0.058s)
        > [windows] skip
        > exec echo foo
        [stdout]
        foo
        > stdout foo
        > exec echo foo &
        > exec echo bar &
        > ! exec false &
        # Starting a background process should clear previous output. (0.000s)
        > ! stdout foo
        # Wait should set the output to the concatenated outputs of the background
        # programs, in the order in which they were started. (0.002s)
        > wait
        [background] echo foo: exit status 0
        [stdout]
        foo
        [background] echo bar: exit status 0
        [stdout]
        bar
        [background] false: exit status 1
        > stdout 'foo\nbar'
        # The end of the test should interrupt or kill any remaining background
        # programs. (0.002s)
        > [!exec:sleep] skip
        > ! exec sleep 86400 &
        [background] sleep 86400: signal: interrupt
        PASS
        
=== CONT  TestScripts/testscript_update_script_expected_not_in_archive
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        # Verify that comparing stdout against a file not in the archive does nothing (0.019s)
        > unquote scripts/testscript.txt
        > cp scripts/testscript.txt unchanged
        > ! testscript-update scripts
        testscript: 
        > echo stdout right
        [stdout]
        right
        > cp file expect
        > cmp stdout expect
        [diff -stdout +expect]
        -right
        +wrong
        
        FAIL: $WORK/scripts/testscript.txt:3: stdout and expect differ
        
        > cmp scripts/testscript.txt unchanged
        PASS
        
=== CONT  TestScripts/stdin
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        > [!exec:cat] skip
        > stdin hello.txt
        > exec cat
        [stdout]
        hello
        
        > stdout hello
        > exec cat
        > ! stdout hello
        > [!exec:cat] stop
        # Check that 'stdin stdout' works. (0.006s)
        > exec cat hello.txt
        [stdout]
        hello
        
        > stdin stdout
        > exec cat
        [stdout]
        hello
        
        > stdout hello
        PASS
        
=== CONT  TestScripts/exec_path_change
    testscript.go:382: 
        WORK=$WORK
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        GONOSUMDB=*
        
        # If the PATH environment variable is set in the testscript.Params.Setup phase
        # or set directly within a script, exec should honour that PATH (0.685s)
        > [!exec:go] skip
        > env HOME=$WORK${/}home
        > [windows] env USERPROFILE=$WORK\home
        > [windows] env LOCALAPPDATA=$WORK\appdata
        > cd go
        $WORK/go
        > exec go$exe version
        [stdout]
        go version go1.15.15 linux/amd64
        > stdout 'go version'
        > exec go$exe build
        > env PATH=$WORK${/}go${:}$PATH
        > exec go$exe version
        [stdout]
        This is not go
        > stdout 'This is not go'
        PASS
        
--- PASS: TestScripts (0.00s)
    --- PASS: TestScripts/cmpenv (0.00s)
    --- PASS: TestScripts/defer (0.00s)
    --- PASS: TestScripts/nothing (0.01s)
    --- PASS: TestScripts/exists (0.01s)
    --- PASS: TestScripts/values (0.04s)
    --- PASS: TestScripts/cpstdout (0.05s)
    --- PASS: TestScripts/setenv (0.05s)
    --- PASS: TestScripts/regexpquote (0.05s)
    --- PASS: TestScripts/setupfiles (0.05s)
    --- PASS: TestScripts/interrupt (0.05s)
    --- PASS: TestScripts/testscript_update_script_actual_is_file (0.05s)
    --- PASS: TestScripts/hello (0.05s)
    --- PASS: TestScripts/execguard (0.05s)
    --- PASS: TestScripts/readfile (0.06s)
    --- PASS: TestScripts/testscript_update_script_quote (0.06s)
    --- PASS: TestScripts/evalsymlink (0.06s)
    --- PASS: TestScripts/testscript_update_script (0.06s)
    --- PASS: TestScripts/command (0.06s)
    --- PASS: TestScripts/testscript_update_script_stderr (0.06s)
    --- PASS: TestScripts/commandstatus (0.06s)
    --- PASS: TestScripts/wait (0.06s)
    --- PASS: TestScripts/testscript_update_script_expected_not_in_archive (0.06s)
    --- PASS: TestScripts/stdin (0.06s)
    --- PASS: TestScripts/exec_path_change (0.74s)
=== RUN   TestTestwork
--- PASS: TestTestwork (2.92s)
=== RUN   TestWorkdirRoot
=== RUN   TestWorkdirRoot/run_tests
=== RUN   TestWorkdirRoot/run_tests/nothing
=== PAUSE TestWorkdirRoot/run_tests/nothing
=== CONT  TestWorkdirRoot/run_tests/nothing
    testscript.go:382: 
        WORK=/tmp/439270324/script-nothing
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        HOME=/no-home
        TMPDIR=$WORK/tmp
        devnull=/dev/null
        /=/
        :=:
        exe=
        
        # Intentionally empty test script; used to test Params.WorkdirRoot (0.000s)
        PASS
        
--- PASS: TestWorkdirRoot (0.00s)
    --- PASS: TestWorkdirRoot/run_tests (0.00s)
        --- PASS: TestWorkdirRoot/run_tests/nothing (0.00s)
=== RUN   TestBadDir
--- PASS: TestBadDir (0.00s)
PASS
ok  	github.com/rogpeppe/go-internal/testscript	3.677s
=== RUN   Test
=== RUN   Test/basic
=== RUN   Test/basic#01
--- PASS: Test (0.00s)
    --- PASS: Test/basic (0.00s)
    --- PASS: Test/basic#01 (0.00s)
=== RUN   TestWrite
--- PASS: TestWrite (0.00s)
=== RUN   TestUnquote
=== RUN   TestUnquote/no_final_newline
=== RUN   TestUnquote/no_initial_>
--- PASS: TestUnquote (0.00s)
    --- PASS: TestUnquote/no_final_newline (0.00s)
    --- PASS: TestUnquote/no_initial_> (0.00s)
=== RUN   TestQuote
=== RUN   TestQuote/empty
=== RUN   TestQuote/one_line
=== RUN   TestQuote/several_lines
=== RUN   TestQuote/bad_data
=== RUN   TestQuote/no_final_newline
--- PASS: TestQuote (0.00s)
    --- PASS: TestQuote/empty (0.00s)
    --- PASS: TestQuote/one_line (0.00s)
    --- PASS: TestQuote/several_lines (0.00s)
    --- PASS: TestQuote/bad_data (0.00s)
    --- PASS: TestQuote/no_final_newline (0.00s)
PASS
ok  	github.com/rogpeppe/go-internal/txtar	0.007s
make[1]: Leaving directory '/build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2'
   create-stamp debian/debhelper-build-stamp
   dh_testroot -O--buildsystem=golang
   dh_prep -O--buildsystem=golang
   dh_auto_install -O--buildsystem=golang
	cd obj-x86_64-linux-gnu && mkdir -p /build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/debian/tmp/usr
	cd obj-x86_64-linux-gnu && cp -r bin /build/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-1.6.2/debian/tmp/usr
   dh_install -O--buildsystem=golang
   dh_installdocs -O--buildsystem=golang
   dh_installchangelogs -O--buildsystem=golang
   dh_installsystemduser -O--buildsystem=golang
   dh_perl -O--buildsystem=golang
   dh_link -O--buildsystem=golang
   dh_strip_nondeterminism -O--buildsystem=golang
   dh_compress -O--buildsystem=golang
   dh_fixperms -O--buildsystem=golang
   dh_missing -O--buildsystem=golang
   dh_dwz -a -O--buildsystem=golang
dwz: debian/go-internal/usr/bin/testscript: .debug_info section not present
dwz: debian/go-internal/usr/bin/txtar-addmod: .debug_info section not present
dwz: debian/go-internal/usr/bin/txtar-c: .debug_info section not present
dwz: debian/go-internal/usr/bin/txtar-goproxy: .debug_info section not present
dwz: debian/go-internal/usr/bin/txtar-x: .debug_info section not present
dwz: Too few files for multifile optimization
dh_dwz: warning: No dwz multifile created, but not explicitly requested either so ignoring it.
dh_dwz: warning: Common issues include no debug information at all (missing -g) and
dh_dwz: warning: compressed debug information (#931891).
   dh_strip -a -O--buildsystem=golang
dh_strip: warning: Could not find the BuildID in debian/go-internal/usr/bin/txtar-goproxy
dh_strip: warning: Could not find the BuildID in debian/go-internal/usr/bin/txtar-c
dh_strip: warning: Could not find the BuildID in debian/go-internal/usr/bin/txtar-addmod
dh_strip: warning: Could not find the BuildID in debian/go-internal/usr/bin/testscript
dh_strip: warning: Could not find the BuildID in debian/go-internal/usr/bin/txtar-x
   dh_makeshlibs -a -O--buildsystem=golang
   dh_shlibdeps -a -O--buildsystem=golang
   dh_installdeb -O--buildsystem=golang
   dh_golang -O--buildsystem=golang
   dh_gencontrol -O--buildsystem=golang
   dh_md5sums -O--buildsystem=golang
   dh_builddeb -O--buildsystem=golang
dpkg-deb: building package 'golang-github-rogpeppe-go-internal-dev' in '../golang-github-rogpeppe-go-internal-dev_1.6.2-1_all.deb'.
dpkg-deb: building package 'go-internal' in '../go-internal_1.6.2-1_amd64.deb'.
 dpkg-genbuildinfo
 dpkg-genchanges  >../golang-github-rogpeppe-go-internal_1.6.2-1_amd64.changes
dpkg-genchanges: info: including full source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: full upload (original source is included)
+ date
Tue Apr 18 11:11:09 UTC 2023
+ cd ..
+ ls -la
total 3672
drwxr-xr-x  3 root root    4096 Apr 18 11:11 .
drwxr-xr-x  3 root root    4096 Apr 18 11:10 ..
-rw-r--r--  1 root root   94666 Apr 18 11:11 buildlog.txt
-rw-r--r--  1 root root 3387732 Apr 18 11:11 go-internal_1.6.2-1_amd64.deb
drwxr-xr-x 23 root root    4096 Apr 18 11:10 golang-github-rogpeppe-go-internal-1.6.2
-rw-r--r--  1 root root  108380 Apr 18 11:11 golang-github-rogpeppe-go-internal-dev_1.6.2-1_all.deb
-rw-r--r--  1 root root    3316 Apr 18 11:10 golang-github-rogpeppe-go-internal_1.6.2-1.debian.tar.xz
-rw-r--r--  1 root root    1532 Apr 18 11:10 golang-github-rogpeppe-go-internal_1.6.2-1.dsc
-rw-r--r--  1 root root    6148 Apr 18 11:11 golang-github-rogpeppe-go-internal_1.6.2-1_amd64.buildinfo
-rw-r--r--  1 root root    2834 Apr 18 11:11 golang-github-rogpeppe-go-internal_1.6.2-1_amd64.changes
-rw-r--r--  1 root root  123261 Oct 25  2020 golang-github-rogpeppe-go-internal_1.6.2.orig.tar.gz
+ find . -maxdepth 1 -type f
+ sha256sum ./golang-github-rogpeppe-go-internal_1.6.2-1_amd64.changes ./buildlog.txt ./go-internal_1.6.2-1_amd64.deb ./golang-github-rogpeppe-go-internal_1.6.2-1.debian.tar.xz ./golang-github-rogpeppe-go-internal_1.6.2-1_amd64.buildinfo ./golang-github-rogpeppe-go-internal-dev_1.6.2-1_all.deb ./golang-github-rogpeppe-go-internal_1.6.2.orig.tar.gz ./golang-github-rogpeppe-go-internal_1.6.2-1.dsc
428465d1834b23230c985da140d8ef135dbf849e8af4089333e4305ba0b8c6ef  ./golang-github-rogpeppe-go-internal_1.6.2-1_amd64.changes
bdfeb5e67971054fdee7c36f245e321111601ef5ff2f12014b1dad2f6d337d69  ./buildlog.txt
1e533cc74412cbd1e7e428748b3700603b062ea4a9e8bbfa493b9aca86211be1  ./go-internal_1.6.2-1_amd64.deb
8603fcba21a04d5868dab01a37c659b2e65c7d1ad64a11519a0a797579f33cb0  ./golang-github-rogpeppe-go-internal_1.6.2-1.debian.tar.xz
03e628999a522905e6f9abf0cef736b6b3784ea435d3d158d41a3b5c676d1e9c  ./golang-github-rogpeppe-go-internal_1.6.2-1_amd64.buildinfo
f8954c7d76abeffb5588ea1e3bda2484fcbc798b28c86500b6a9ade1b4e51341  ./golang-github-rogpeppe-go-internal-dev_1.6.2-1_all.deb
f1349be3b952255489205ec377d38eec04a76ed8abc6ec8a06f550782a23b216  ./golang-github-rogpeppe-go-internal_1.6.2.orig.tar.gz
d4586d529e575aea1403d9f6bed3110ae7eab766289698f15cb5822df2d702f9  ./golang-github-rogpeppe-go-internal_1.6.2-1.dsc
+ mkdir published
+ cd published
+ cd ../
+ ls go-internal_1.6.2-1_amd64.deb golang-github-rogpeppe-go-internal-dev_1.6.2-1_all.deb *.udeb
ls: cannot access '*.udeb': No such file or directory
+ wget --retry-connrefused --retry-on-host-error --tries=3 http://repo.pureos.net/pureos/pool/main/g/golang-github-rogpeppe-go-internal/go-internal_1.6.2-1_amd64.deb
--2023-04-18 11:11:09--  http://repo.pureos.net/pureos/pool/main/g/golang-github-rogpeppe-go-internal/go-internal_1.6.2-1_amd64.deb
Resolving repo.pureos.net (repo.pureos.net)... 138.201.228.45
Connecting to repo.pureos.net (repo.pureos.net)|138.201.228.45|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2023-04-18 11:11:09 ERROR 404: Not Found.

+ wget --retry-connrefused --retry-on-host-error --tries=3 http://repo.pureos.net/pureos/pool/main/g/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-dev_1.6.2-1_all.deb
--2023-04-18 11:11:09--  http://repo.pureos.net/pureos/pool/main/g/golang-github-rogpeppe-go-internal/golang-github-rogpeppe-go-internal-dev_1.6.2-1_all.deb
Resolving repo.pureos.net (repo.pureos.net)... 138.201.228.45
Connecting to repo.pureos.net (repo.pureos.net)|138.201.228.45|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 108380 (106K) [application/octet-stream]
Saving to: 'golang-github-rogpeppe-go-internal-dev_1.6.2-1_all.deb'

     0K .......... .......... .......... .......... .......... 47%  951K 0s
    50K .......... .......... .......... .......... .......... 94% 1.83M 0s
   100K .....                                                 100% 10.9T=0.08s

2023-04-18 11:11:09 (1.30 MB/s) - 'golang-github-rogpeppe-go-internal-dev_1.6.2-1_all.deb' saved [108380/108380]

+ + tee ../SHA256SUMS
find . -maxdepth 1 -type f
+ sha256sum ./golang-github-rogpeppe-go-internal-dev_1.6.2-1_all.deb
f8954c7d76abeffb5588ea1e3bda2484fcbc798b28c86500b6a9ade1b4e51341  ./golang-github-rogpeppe-go-internal-dev_1.6.2-1_all.deb
+ cd ..
+ sha256sum -c SHA256SUMS
./golang-github-rogpeppe-go-internal-dev_1.6.2-1_all.deb: OK
+ echo Package golang-github-rogpeppe-go-internal version 1.6.2-1 is reproducible!
Package golang-github-rogpeppe-go-internal version 1.6.2-1 is reproducible!
